MDELIVER(1)

NAME
mdeliver - deliver messages or import mbox file

SYNOPSIS
mdeliver [-c] [-v] [-X flags] dir < message
mdeliver -M [-c] [-v] [-X flags] dir < mbox

DESCRIPTION
mdeliver adds a message given on the standard input as a new message in the maildir dir.

When -M is used, mdeliver will regard the standard input as an MBOXRD mailbox, split it on “From ” and deliver each message, decoding it according to the MBOXRD convention. mdeliver will set the mtime according to the value of ‘Date:’ and the maildir flags according to the value of ‘Status:’ or ‘X-Status:’.

The messages are delivered in a reliable way and use the default umask(2).

Please note that no syntactical checks are performed on the messages.

The options are as follows:

-M  Deliver each message of an mbox.

-c  Deliver messages into cur/, not new/ (the default).

-v  Print each new message filename after delivery.

-X flg
    Override the flags of the new message file to be flg.

EXIT STATUS

SEE ALSO
mexport(1), mrefile(1), maildir(5), mbox(5)

MBOXRD Email Format: http://www.digitalpreservation.gov/formats/fdd/fdd000385.shtml

Using maildir format: https://cr.yp.to/proto/maildir.html

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mdeliver is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/